<div class="pad">
    <h1>Liste des articles</h1>
    <table mat-table [dataSource]="articles" class="mat-elevation-z8" matSort>

       
        <ng-container matColumnDef="titre">
          <th mat-header-cell *matHeaderCellDef> Titre </th>
          <td mat-cell *matCellDef="let element"> {{element.titre}} </td>
        </ng-container>
      
        <ng-container matColumnDef="contenu">
          <th mat-header-cell *matHeaderCellDef> Contenu </th>
          <td mat-cell *matCellDef="let element"> {{element.contenu}} </td>
        </ng-container>

        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef> Action </th>
          <td mat-cell *matCellDef="let element"> 
              <a routerlink="/"> Edit </a>
              <a routerlink="/"> Supprimer </a>

          </td>
        </ng-container>
      
        <tr mat-header-row *matHeaderRowDef="headers"></tr>
        <tr mat-row *matRowDef="let row; columns: headers;"></tr>
      </table>
      <a mat-raised-button color="primary" routerLink="edit">Ajouter</a>

      <div>
    </div>
      
</div>